package com.yuandian.dataflow.proto.decode;
import java.nio.ByteBuffer;
 

public class AppFlow extends PacketBase {
	public static int SIZE = 104;
	public long srcIp;
	public int srcPort;
	public long dstIp;
	public int dstPort;
	public long startTvSec;
	public long startTvUsec;
	public long lastTvSec;
	public long lastTvUsec;
	public long endTvSec;
	public long endTvUsec;
	public int inputPackets;
	public int outputPackets;
	public int inputBytes;
	public int outputBytes;
	public String protocaol;
	public int appId;
	public int appGroupId;
	public int probeIf;
	public int appStyle;
	public long timeFlag;
	public int vlanId;
	public int mplsLable;
	public int tos;
	

	@Override
	public PacketBase  Parse(PacketHeader header,ByteBuffer data)
			throws Exception {
		AppFlow nlf = new AppFlow();
		nlf.srcIp = data.getInt(4);
		
		nlf.srcPort = data.getInt(2);
		
		nlf.dstIp = data.getInt(4);
		
		nlf.dstPort = data.getInt(2);
		
		nlf.startTvSec = data.getLong(4);
		
		nlf.startTvUsec = data.getLong(4);
		
		nlf.lastTvSec = data.getLong(4);
		
		nlf.lastTvUsec = data.getLong(4);
		
		nlf.endTvSec = data.getLong(4);
		
		nlf.endTvUsec = data.getLong(4);
		
		nlf.inputPackets = data.getInt(4);
		
		nlf.outputPackets = data.getInt(4);
		
		nlf.inputBytes = data.getInt(4);
		
		nlf.outputBytes = data.getInt(4);
		
		nlf.protocaol = data.alignedSlice(20).toString();
		
		nlf.appId = data.getInt(4);
		
		nlf.appGroupId = data.getInt(4);
		
		nlf.probeIf = data.getInt(4);
		
		nlf.appStyle = data.getInt(4);
		
		nlf.timeFlag = data.getLong(4);
		
		nlf.vlanId = data.getInt(4);
		
		nlf.mplsLable = data.getInt(4);
		
		nlf.tos = data.getInt(4);
		
		return nlf;
	}

	@Override
	public int getUnitPacketLength() {
		return 0;
	}

	@Override
	public String[] getData() {
		return null;
	}

	@Override
	public int getInterfaceNumber() {
		return 0;
	}
	
}
